// Segment de l'arbre materialis par un cylindre au bout
// duquel on fixe un cube

// met  jour pos courante
#declare pos = pos + vrotate(vect,rot)

#declare coul = ell*1.5 // la couleur de l'objet sera fonction de son arrondi

   superellipsoid
   {
        <ell, ell>   // valeurs d'arrondi (> 0)
        scale ech // diminution
        rotate rot             // orientation
        translate pos          // translation
        texture { Seg_Text
                pigment {
                marble turbulence 1
                	color_map {
                          [0,0.5 color rgb <coul,0,1-coul> color rgb <coul,0,1-coul> ]
                          [0.5,1 color rgb <coul,0,1-coul> color rgb <1,1,1> ]
                	}
                }
                scale 0.5
        }
   }


cylinder { pos, pos-vrotate(vect,rot), 0.1
        texture { Chrome_Texture
        }
}


#declare   ell = ell * 1.8      // augmentation de l'arrondi
#declare   vect = vect * 0.98   // diminution de la distance entre les ellipsoides
#declare   ech = ech*0.9        // diminution de la taille des ellipsoides
